curl
curl -X GET "https://api.services.payward.com/v1/users/AA45N8G4MLDYWAR7/verifications" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Nonce: $PWS_API_NONCE" \
-H "API-Sign: $PWS_API_SIGN"import requests
url = "https://api.services.payward.com/v1/users/{user_id}/verifications"
headers = {
"API-Key": "<api-key>",
"API-Nonce": "<api-key>",
"API-Sign": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Nonce': '<api-key>', 'API-Sign': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/users/{user_id}/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"verifications": [
{
"verification_id": "PVABCDE-FGHIJ-KLMNOP",
"types": [
"proof_of_identity"
],
"method": "url",
"status": "completed",
"created_at": "2026-05-20T14:30:00Z",
"updated_at": "2026-05-20T14:45:00Z"
},
{
"verification_id": "PV12345-ABCDE-6789XY",
"types": [
"proof_of_address"
],
"method": "url",
"status": "pending",
"created_at": "2026-05-20T14:30:00Z",
"updated_at": "2026-05-20T14:45:00Z"
},
{
"verification_id": "PVABCDE-12345-KLMNOP",
"types": [
"proof_of_liveness"
],
"method": "url",
"status": "pending",
"created_at": "2026-05-20T14:30:00Z",
"updated_at": "2026-05-20T14:45:00Z"
},
{
"verification_id": "PV67890-FGHIJ-KLMNOP",
"types": [
"proof_of_identity",
"proof_of_address",
"proof_of_liveness"
],
"method": "hosted",
"status": "pending",
"created_at": "2026-05-20T14:30:00Z",
"updated_at": "2026-05-20T14:45:00Z"
}
]
}
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 403,
"instance": "<string>",
"code": "forbidden",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 501,
"instance": "<string>",
"code": "unimplemented",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}Verifications
List verifications
List verification summaries for the given user.
GET
/
v1
/
users
/
{user_id}
/
verifications
curl
curl -X GET "https://api.services.payward.com/v1/users/AA45N8G4MLDYWAR7/verifications" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Nonce: $PWS_API_NONCE" \
-H "API-Sign: $PWS_API_SIGN"import requests
url = "https://api.services.payward.com/v1/users/{user_id}/verifications"
headers = {
"API-Key": "<api-key>",
"API-Nonce": "<api-key>",
"API-Sign": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Nonce': '<api-key>', 'API-Sign': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/users/{user_id}/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"verifications": [
{
"verification_id": "PVABCDE-FGHIJ-KLMNOP",
"types": [
"proof_of_identity"
],
"method": "url",
"status": "completed",
"created_at": "2026-05-20T14:30:00Z",
"updated_at": "2026-05-20T14:45:00Z"
},
{
"verification_id": "PV12345-ABCDE-6789XY",
"types": [
"proof_of_address"
],
"method": "url",
"status": "pending",
"created_at": "2026-05-20T14:30:00Z",
"updated_at": "2026-05-20T14:45:00Z"
},
{
"verification_id": "PVABCDE-12345-KLMNOP",
"types": [
"proof_of_liveness"
],
"method": "url",
"status": "pending",
"created_at": "2026-05-20T14:30:00Z",
"updated_at": "2026-05-20T14:45:00Z"
},
{
"verification_id": "PV67890-FGHIJ-KLMNOP",
"types": [
"proof_of_identity",
"proof_of_address",
"proof_of_liveness"
],
"method": "hosted",
"status": "pending",
"created_at": "2026-05-20T14:30:00Z",
"updated_at": "2026-05-20T14:45:00Z"
}
]
}
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 403,
"instance": "<string>",
"code": "forbidden",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 501,
"instance": "<string>",
"code": "unimplemented",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}Authorizations
Your public API key. Identifies the partner making the request.
Monotonically increasing nonce included in the request signature.
HMAC signature over the request, computed with your private key.
Path Parameters
ID of the user the request applies to. For partners operating in the B2B2C model, this is the Sub-User the request is acting on behalf of. Canonical identifier for a user in the Payward public API.
Required string length:
14 - 42Response
Verifications returned.
Show child attributes
Show child attributes
⌘I